Market Data

Get versioned chart history references

GET
/charts/history/manifest

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

venueMarketOutcomeId*string
resolution?string
Value in"1""5""60""1D"
from?number
to*number
countBack?integer
Range1 <= value <= 5000

Response Body

200

application/json
  1. response
version*1
Value in1
revision*string
venueMarketOutcomeId*string
venue*string
resolution*string
Value in"1m""5m""1h""1d"
semantics*string
Value in"venue-ohlcv-v1""polymarket-price-samples-v1""kalshi-ohlcv-quote-fallback-v2"
from*number
to*number
finalizedThrough*number
chunks*array<>
Itemsitems <= 8
meta*
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/charts/history/manifest?venueMarketOutcomeId=string&to=0'
Example Response
{  "version": 1,  "revision": "string",  "venueMarketOutcomeId": "string",  "venue": "string",  "resolution": "1m",  "semantics": "venue-ohlcv-v1",  "from": 0,  "to": 0,  "finalizedThrough": 0,  "chunks": [    {      "key": "string",      "url": "string",      "sha256": "string",      "from": 0,      "to": 0,      "points": 0    }  ],  "meta": {    "state": "ready",    "complete": true,    "retryAfterMs": 0,    "fetchedAtMs": 0,    "serverTime": 0,    "lastBarOpenTime": 0,    "staleSeconds": 0  }}